/*
**  HyperHelp Viewer
**
**  Bristol Technology Incorporated
**  241 Ethan Allen Highway, Ridgefield, Connecticut 06877
**
**  Copyright (c) 1990-1995 Bristol Technology Inc.
**  Property of Bristol Technology Inc.
**  All rights reserved.
**
**           ***      BTI CONFIDENTIAL INFORMATION      ***
**
**       THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF BRISTOL
**       TECHNOLOGY INC.
**
**       The copyright notice above does not evidence any actual
**       or intended publication of such source code.
**
**  File:  ewapi.h
**
**  Author(s):
**     Mark LoSacco
**
**  Description:
**  This header files defines the structures needed by
**  embedded window dlls.
**
**  Change Log:   (Date, Initials, Description)
**  2/20/94        MSL     Created
**
**/

typedef struct EWData_s {
	short     idMajVersion;  /* HH Major version # */
	short     idMinVersion;  /* HH Minor version # */
	char      *szFileName;   /* Name of the .hlp file */
	char      *szAuthorData; /* AuthorData from ewx statement */
	long      coForeGround;  /* Foreground color (rgb) */
	long      coBackGround;  /* Background color (rgb) */
	int       nTopicNo;      /* Number of current topic */
	Dimension xloc;          /* xlocation of lower left corner */
	Dimension yloc;          /* ylocation of lower left corner */
	int       dx;            /* Desired width */
	int       dy;            /* Desired height */
	Display   *display;      /* Display pointer */
	GC        gc;            /* gc for use in printing */
} EWData;

typedef struct EWReturn_s {
	int 	dx;		/* Width of Window */
	int	dy;		/* Height of Window */
	char	*szText;	/* ASCII text in window */
} EWReturn;

typedef enum {
	EW_CREATE,
	EW_DESTROY,
	EW_QUERYSIZE,
	EW_CLIPBOARD,
	EW_PRINT
} EWMessage;

